The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Global Auto Ack Rule

Prev Next

This URL is used to retrieve a single auto ack rule.

Resource URL

POST /globalautoack/rules/<rule_id>

Request Parameters

Field Name Description Data Type Mandatory
Rule_id Rule id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type Mandatory
attackId Attack id String Yes
attackName Attack name String Yes
ruleId Rule id Number Yes
targetEndpoint Target endpoint String Yes
attackerEndpoint Attacker endpoint String Yes
expiration Expiration String Yes
comment Comment String Yes

Example

Request

POST https://<NSM_IP>/sdkapi/globalautoack/rules/154

Response

{
"autoAckRules":
[
  {
    "attackId":"0x45d29400",
    "ruleId":"154",
    "attackName":"Aasync: Aasync LIST Command Response Filename Handling Overflow",
    "targetEndpoint":"1.12.4.4",
    "attackerEndpoint":"1.1.1.1",
    "expiration":"2016-01-08 00:00:00.0",
    "lastModifiedBy":"admin",
    "lastModifiedDate":"2016-01-07 14:20:03.0",
     "comment":"adssfsd"
}
     ]
} 
 

Error Information

N/A